## org.apache.myfaces.custom.navmenu
Class UINavigationMenuItem

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UISelectItem
                  org.apache.myfaces.custom.navmenu.UINavigationMenuItem

All Implemented Interfaces:
  javax.faces.component.StateHolder, UserRoleAware

public class UINavigationMenuItem
extends javax.faces.component.UISelectItem
implements UserRoleAware

Version:
  $Revision: 291055 $ $Date: 2005-09-22 21:33:47 -0400 (Thu, 22 Sep 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: tomsp $)

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from interface org.apache.myfaces.component.UserRoleAware
`ENABLED_ON_USER_ROLE_ATTR, VISIBLE_ON_USER_ROLE_ATTR`

Constructor Summary
`UINavigationMenuItem()`

Method Summary
`java.lang.String` `getAction()`
`java.lang.String` `getEnabledOnUserRole()`
`java.lang.String` `getFamily()`
`java.lang.String` `getIcon()`
`java.lang.String` `getVisibleOnUserRole()`
`boolean` `isRendered()`
`boolean` `isSplit()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setAction(java.lang.String action)`
`void` `setEnabledOnUserRole(java.lang.String enabledOnUserRole)`
`void` `setIcon(java.lang.String icon)`
`void` `setSplit(boolean split)`
`void` `setVisibleOnUserRole(java.lang.String visibleOnUserRole)`

Methods inherited from class javax.faces.component.UISelectItem
`getItemDescription, getItemLabel, getItemValue, getValue, isItemDisabled, setItemDescription, setItemDisabled, setItemLabel, setItemValue, setValue`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UINavigationMenuItem

    public UINavigationMenuItem()

Method Detail

### getFamily

    public java.lang.String getFamily()

### setIcon

    public void setIcon(java.lang.String icon)

### getIcon

    public java.lang.String getIcon()

### setSplit

    public void setSplit(boolean split)

### isSplit

    public boolean isSplit()

### setAction

    public void setAction(java.lang.String action)

### getAction

    public java.lang.String getAction()

### setEnabledOnUserRole

    public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

  Specified by:
    `setEnabledOnUserRole` in interface `UserRoleAware`

### getEnabledOnUserRole

    public java.lang.String getEnabledOnUserRole()

  Specified by:
    `getEnabledOnUserRole` in interface `UserRoleAware`

### setVisibleOnUserRole

    public void setVisibleOnUserRole(java.lang.String visibleOnUserRole)

  Specified by:
    `setVisibleOnUserRole` in interface `UserRoleAware`

### getVisibleOnUserRole

    public java.lang.String getVisibleOnUserRole()

  Specified by:
    `getVisibleOnUserRole` in interface `UserRoleAware`

### isRendered

    public boolean isRendered()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`